[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: python-2.6 and python-3.x



On 04/02/2009 01:46 PM, Jochen Schmitt wrote:

> I think porting this kind of application may nned a lot of work to
> porting to
> Python 3000. So I thin wee need a python-2.6 compat package for a while
> until
> all applications will been ported.

The problem with this approach is that it does not motivate upstreams to
move to Python 3, they will just depend on the compat package, and we'll
have a lot of trouble convincing anyone to move.

I think part of the solution will be for Fedora developers to help port
such applications to Python 3, and do so in a way that they detect the
version of python at runtime and set defines appropriately. That way, we
can have applications ready for Python3 before we actually make the switch.

~spot


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]